org.eclipse.viatra.cep.core.metamodels.events

## Interface EventsFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    EventsFactoryImpl

      public interface EventsFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `EventsPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EventsFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AND` | `createAND()` Returns a new object of class 'AND'.
    `AtLeastOne` | `createAtLeastOne()` Returns a new object of class 'At Least One'.
    `AtomicEventPattern` | `createAtomicEventPattern()` Returns a new object of class 'Atomic Event Pattern'.
    `ComplexEventPattern` | `createComplexEventPattern()` Returns a new object of class 'Complex Event Pattern'.
    `Event` | `createEvent()` Returns a new object of class 'Event'.
    `EventModel` | `createEventModel()` Returns a new object of class 'Event Model'.
    `EventPatternReference` | `createEventPatternReference()` Returns a new object of class 'Event Pattern Reference'.
    `FOLLOWS` | `createFOLLOWS()` Returns a new object of class 'FOLLOWS'.
    `Infinite` | `createInfinite()` Returns a new object of class 'Infinite'.
    `Multiplicity` | `createMultiplicity()` Returns a new object of class 'Multiplicity'.
    `NEG` | `createNEG()` Returns a new object of class 'NEG'.
    `OR` | `createOR()` Returns a new object of class 'OR'.
    `Timewindow` | `createTimewindow()` Returns a new object of class 'Timewindow'.
    `EventsPackage` | `getEventsPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final EventsFactory eINSTANCE

      The singleton instance of the factory.
      Generated:

  - ### Method Detail

    - #### createEventModel

          EventModel createEventModel()

      Returns a new object of class 'Event Model'.
      Returns:
        a new object of class 'Event Model'.
      Generated:

    - #### createAtomicEventPattern

          AtomicEventPattern createAtomicEventPattern()

      Returns a new object of class 'Atomic Event Pattern'.
      Returns:
        a new object of class 'Atomic Event Pattern'.
      Generated:

    - #### createComplexEventPattern

          ComplexEventPattern createComplexEventPattern()

      Returns a new object of class 'Complex Event Pattern'.
      Returns:
        a new object of class 'Complex Event Pattern'.
      Generated:

    - #### createEventPatternReference

          EventPatternReference createEventPatternReference()

      Returns a new object of class 'Event Pattern Reference'.
      Returns:
        a new object of class 'Event Pattern Reference'.
      Generated:

    - #### createEvent

          Event createEvent()

      Returns a new object of class 'Event'.
      Returns:
        a new object of class 'Event'.
      Generated:

    - #### createOR

          OR createOR()

      Returns a new object of class 'OR'.
      Returns:
        a new object of class 'OR'.
      Generated:

    - #### createNEG

          NEG createNEG()

      Returns a new object of class 'NEG'.
      Returns:
        a new object of class 'NEG'.
      Generated:

    - #### createFOLLOWS

          FOLLOWS createFOLLOWS()

      Returns a new object of class 'FOLLOWS'.
      Returns:
        a new object of class 'FOLLOWS'.
      Generated:

    - #### createAND

          AND createAND()

      Returns a new object of class 'AND'.
      Returns:
        a new object of class 'AND'.
      Generated:

    - #### createTimewindow

          Timewindow createTimewindow()

      Returns a new object of class 'Timewindow'.
      Returns:
        a new object of class 'Timewindow'.
      Generated:

    - #### createMultiplicity

          Multiplicity createMultiplicity()

      Returns a new object of class 'Multiplicity'.
      Returns:
        a new object of class 'Multiplicity'.
      Generated:

    - #### createInfinite

          Infinite createInfinite()

      Returns a new object of class 'Infinite'.
      Returns:
        a new object of class 'Infinite'.
      Generated:

    - #### createAtLeastOne

          AtLeastOne createAtLeastOne()

      Returns a new object of class 'At Least One'.
      Returns:
        a new object of class 'At Least One'.
      Generated:

    - #### getEventsPackage

          EventsPackage getEventsPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated: